{% use 'bundles/CraueFormFlowBundle/FormFlowCustom/stepList_blocks.html.twig' %}

{%- if flow.getStepLabels() is not empty -%}
    <div class="cmp-info-progress d-flex" id="wizardHeader" data-id="wizardHeader">
        {% for stepLabel in flow.getStepLabels() %}
            <div{{ block('craue_flow_stepList_class')}}  {% if (loop.index == 1) %} data-loop="first" style="display: none!important;" {% endif %} data-item="craue">
              {%- if craue_isStepLinkable(flow, loop.index) -%}
              <a class="text-decoration-none" href="{{ path(app.request.attributes.get('_route'), app.request.query.all
                | merge(app.request.attributes.get('_route_params'))
                | craue_addDynamicStepNavigationParameters(flow, loop.index)) }}">
                {% endif %}
              <div class="info-progress-body d-flex justify-content-between align-self-end align-items-end w-100 py-3 {{ (flow.isStepDone(loop.index)) ? 'completed' : '' }}">
                <span class="d-block h-100 title-medium text-uppercase" data-toggle="tooltip" title="{{ block('craue_flow_stepLabel') }}">{{ block('craue_flow_stepLabel') }}</span>
                {%- if flow.isStepDone(loop.index) -%}
                <svg class="d-block icon icon-primary icon-sm" aria-hidden="true">
                  <use href="/bootstrap-italia/dist/svg/sprite.svg#it-check"></use>
                </svg>
                {% endif %}
              </div>
                {%- if craue_isStepLinkable(flow, loop.index) -%}
                    </a>
                {% endif %}
            </div>
        {% endfor %}
    </div>
{%- endif -%}

